LevyFlightWalk Class Reference

Levy Flight Random Walk. More...

`#include <ql/experimental/math/fireflyalgorithm.hpp>`

Inheritance diagram for LevyFlightWalk:
[legend]

## Public Member Functions

| LevyFlightWalk (Real alpha, Real xm=0.5, Real delta=0.9, unsigned long seed=SeedGenerator::instance().get())
Public Member Functions inherited from DistributionRandomWalk< LevyFlightDistribution >
| DistributionRandomWalk (LevyFlightDistribution dist, Real delta=0.9, unsigned long seed=SeedGenerator::instance().get())
Public Member Functions inherited from FireflyAlgorithm::RandomWalk
void | walk ()
| perform random walk

## Additional Inherited Members

Public Types inherited from DistributionRandomWalk< LevyFlightDistribution >
typedef IsotropicRandomWalk< LevyFlightDistribution, base_generator_type > | WalkRandom
Protected Member Functions inherited from DistributionRandomWalk< LevyFlightDistribution >
void | walkImpl (Array &xRW)
void | init (FireflyAlgorithm *fa)
Protected Attributes inherited from DistributionRandomWalk< LevyFlightDistribution >
WalkRandom | walkRandom_
Real | delta_
Protected Attributes inherited from FireflyAlgorithm::RandomWalk
Size | Mfa_
Size | N_
const std::vector< Array > * | x_
const std::vector< std::pair< Real, Size > > * | values_
std::vector< Array > * | xRW_
Array * | lX_
Array * | uX_

## Detailed Description

Levy Flight Random Walk.